@set CC65_HOME=..\cc65-2.13.3\
@if "%PATH%"=="%PATH:cc65=%" @PATH=%PATH%;%CC65_HOME%bin\

@echo Compiling crt0.s...
@ca65 crt0.s || goto fail

@for /F "delims=" %%S in ('dir /A-D /B *.c') do @(
	@echo Compiling %%~nS.c...
	cc65 -Oi "%%~dpnS.c" --add-source && ca65 "%%~dpnS.s" && ld65 -o "%%~dpnS.nes" -C nes.cfg crt0.o "%%~dpnS.o" runtime.lib && del "%%~dpnS.s" || goto fail
)

@echo DONE
@goto exit

:fail

:exit
@del *.o