; Included before user code

; Detect inclusion loops (otherwise ca65 goes crazy)
.ifdef CUSTOM_INC
	.error "File included twice"
	.end
.endif
CUSTOM_INC = 1

.segment "CODE"

; Temporary variables that ANY routine might modify, so
; only use them between routine calls.
temp   = <$A
temp2  = <$B
temp3  = <$C
addr   = <$E

; RAM that isn't cleared by init routine
nv_ram = $7F0

; Macros and constants
.include "macros.inc"
.include "nes.inc"

.define BEGIN_NMI nmi:
.define BEGIN_IRQ irq:
.define END_NMI
.define END_IRQ

SET_DEFAULT BUILD_NSF,0
SET_DEFAULT BUILD_MULTI,0
SET_DEFAULT BUILD_DEVCART,0

.pushseg
.segment "CODE2"
.include "delay.s"
.include "print.s"
.include "crc.s"
.include "testing.s"
.popseg
