; Loads registers with values and prints them

.include "shell.inc"

main:
	; Load register A with a value
	lda #123        ; A = 123
	
	; Print value of register A
	jsr print_dec   ; prints 123
	jsr print_newline
	
	; Load A with a hexadecimal value
	lda #$7B        ; A = $7B
	
	; Print A in hexadecimal
	jsr print_a     ; prints 7B
	jsr print_newline
	
	; Load X and Y with values, then print them
	; in hex
	ldx #$12        ; X = $12
	ldy #$34        ; Y = $34
	jsr print_x     ; prints 12
	jsr print_y     ; prints 34
	jsr print_newline
	
	; TAX, TXA, TAY, TYA copy the value from
	; one register to another
	lda #1
	ldx #2
	tax             ; X = A
	jsr print_x     ; prints 01
	
	lda #3
	txa             ; A = X
	jsr print_a     ; prints 01
	
	rts
